package cn.estsh.i3plus.ext.mes.api.base;

import cn.estsh.i3plus.pojo.mes.bean.shipping.MesShippingOrderManagement;
import cn.estsh.impp.framework.boot.util.ResultBean;
import io.swagger.annotations.ApiOperation;

import java.util.List;

/**
 * @Description:
 * @CreateDate 2024/04/16
 * @Author mingliang.li
 */
public interface IMesShippingOrderManagementService extends IBaseMesService<MesShippingOrderManagement> {

    @ApiOperation(value = "发运", notes = "发运")
    public void saveShipping(MesShippingOrderManagement shippingOrderManagement);

    @ApiOperation(value = "关闭发运单", notes = "关闭发运单")
    public void saveShippingClose(MesShippingOrderManagement shippingOrderManagement);

    @ApiOperation(value = "关闭发运单", notes = "关闭发运单")
    public void saveShippingRelease(MesShippingOrderManagement shippingOrderManagement);

    @ApiOperation(value = "发运单补打", notes = "发运单补打")
    ResultBean doShippingReprint(List<MesShippingOrderManagement> shippingOrderManagementList, String organizeCode, String userName);

}
