package cn.estsh.i3plus.ext.mes.pojo.model;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @Description : 打印前端请求参数
 * @Reference :
 * @Author : jason.niu
 * @CreateDate 2025/3/15 15:48
 * @Modify:
 **/
@Data
public class PrintDataRequest {
    @ApiModelProperty("是否为补打印")
    private Boolean isReprint;

    @ApiModelProperty("打印对象ID")
    private List<Long> ids;
}
